%define         srcname       wmcube-gdk
%define         objdirname    objects

Name:           wmcube
Version:        0.98p2
Release:        %mkrel 4
Summary:        Another dock monitor displaying CPU load as a spinning cube
License:        GPLv2
Group:          Monitoring

URL:            http://www.ne.jp/asahi/linux/timecop/
Source0:        http://www.ne.jp/asahi/linux/timecop/software/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxcb-devel
BuildRequires:  libx11-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libxext-devel
BuildRequires:  libxpm-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-2.0)

%description
Wmcube is a dock application for WindowMaker or any other desktop
environment that supports docking. It renders a real time rotating
three-dimensional cube and the current CPU load. Various rotating
objects are preconfigured in %{_datadir}/%{name}/%{objdirname} and
can be specified on the command line.

%prep
%setup -q -n %{srcname}-%{version}


%build
%make CFLAGS="%optflags \`pkg-config --cflags gdk-2.0\`" \
      LIBS="%ldflags -lX11 -lXext -lXpm -lm \`pkg-config --libs gdk-2.0\`"


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -d -m 755 3dObjects %{buildroot}%{_datadir}/%{name}/%{objdirname}
install -D -m 644 3dObjects/*.wmc %{buildroot}%{_datadir}/%{name}/%{objdirname}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.98p2-4.mga4
+ Revision: 520162
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.98p2-3.mga3
+ Revision: 385729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.98p2-2.mga3
+ Revision: 314589
- Rebuild for mga3

* Thu Jan 26 2012 eatdirt <eatdirt> 0.98p2-1.mga2
+ Revision: 201600
- imported package wmcube


* Wed Jan 25 2012 Chris Ringeval <dirteat@gmail.com> 0.98p2-1.mga2
- Import wmcube
